# Retrieve pending transfer requests Retrieve list of currently pending transfers. Endpoint: GET /api/ledger/{ledgerIdentifier}/transferBatch/open Version: 1.0.0 Security: JWT ## Path parameters: - `ledgerIdentifier` (string, required) Ledger identifier, can be found using /api/ledger endpoint Example: "4b7375e9-79b0-4b8b-a89e-a21607f0239f" ## Query parameters: - `direction` (string) Specify whether you want only "in"bound or "out"bound pending transfers. If omitted, both types will be returned. Enum: "in", "out" - `includeHoldings` (boolean) Include transfer related holdings details Example: "?includeHoldings=true" - `onBehalfOfSrcAcctId` (string) If permitted, allows the caller to retrieve open transfer batches on behalf of another account holder, identifying that account holder by their system-assigned srcAcctId. - `$skip` (integer) Number of records to skip - `$top` (integer) Maximum number of records to return - `$filter` (string) OData-like filter expression - `$apply` (string) OData-like apply expression with groupby and aggregate only - `$orderby` (string) Comma-separated list of columns for sorting - `$count` (boolean) Whether to include the count of records with the result ## Response 200 fields (application/json): - `inbound` (array) Inbound transfer batches that are visible-to-the-caller; as the transfer recipient, the API user can usually accept or reject. - `inbound.identifier` (string) The system identifier for this transfer batch Example: "5A9BBB98-73E5-4226-B55E-1B4AABFE3CF3" - `inbound.fromSrcAcctId` (string) The transfer sender's system account identifier. Example: "009560e5-b724-11ef-a5d7-ee1d7e0f0847" - `inbound.fromSrcAcctIdentifier` (string) The transfer sender's account id, as displayed in the UI. Example: "14990148" - `inbound.fromName` (string) The transfer sender's account name. Example: "GHG Ohio" - `inbound.toSrcAcctId` (string) The transfer recipient's system-assigned unique account identifier. Example: "b5d8d6b3-bcaf-11ef-ae69-b61606fd520c" - `inbound.toSrcAcctIdentifier` (string) The transfer recipient's account id, as displayed on the registry. - `inbound.toName` (string) The transfer recipient's account name. Example: "GHG Trading" - `inbound.initiationDate` (string) - `inbound.quantity` (number) Total quantity associated with the transfer batch - `inbound.externalId` (string) If applicable, transfer identifier on the external ledger. - `inbound.unitPriceCurrencyShortName` (string) If applicable, the short name for currency associated with the transfer. Example: "USD" - `inbound.unitPriceAmount` (number) If applicable, the unit price associate with the transfer. - `inbound.notes` (string) If applicable, any notes associate with the transfer. - `inbound.actions` (array) List of transfer actions the API user has authorities to request. Enum: "CONFIRM", "WITHDRAW", "REJECT" - `inbound.holdings` (array) Collection of holdings associated with this transfer batch. - `inbound.holdings.identifier` (string) The holding's system-assigned identifier. - `inbound.holdings.resourceProgramAssignedIdentifier` (string) The associated resource's program assigned identifier. Example: "GHG1021" - `inbound.holdings.holdingStatus` (object) A reference datum data object Example: "GOC" - `inbound.holdings.holdingStatus.code` (string, required) The reference data's value. - `inbound.holdings.holdingStatus.name` (string) The reference data's name - `inbound.holdings.programPeriodBeginInclusive` (string) Start of program period (vintage) associated to the holding record's issuance. Example: "2022-01-01T00:00:00-05:00" - `inbound.holdings.programPeriodEndExclusive` (string) End of program period (vintage) associated to the holding record's issuance. Example: "2023-01-01T00:00:00-05:00" - `inbound.holdings.timeOfProductionBeginInclusive` (string) Start of production period associated to the holding's issuance Example: "2022-01-01T00:00:00-05:00" - `inbound.holdings.timeOfProductionEndExclusive` (string) End of production period associated to the holding's issuance Example: "2023-01-01T00:00:00-05:00" - `inbound.holdings.serialNumber` (string) The holding record's serial number. Example: "APXOPCAR-GOC-GHG1021-US-2022--46-5701-6700" - `inbound.holdings.quantity` (number) The quantity of the holding record. Example: 1000 - `inbound.holdings.programVersions` (array) Associated programs and their versions. - `inbound.holdings.programVersions.code` (string) Program code Example: "GHG_MEASUREMENT_PROGRAM" - `inbound.holdings.programVersions.version` (string) Version of Program. Example: "5.0.0" - `inbound.holdings.programVersions.shortName` (string) Program short name Example: "Carbon Measurement" - `inbound.holdings.programVersions.protocolVersions` (array) A list of Protocols associated with Program. - `inbound.holdings.programVersions.protocolVersions.code` (string) Protocol code Example: "AMS-I.D." - `inbound.holdings.programVersions.protocolVersions.version` (string) Version of Protocol Example: "1.0.0" - `inbound.holdings.programVersions.protocolVersions.shortName` (string) Protocol's short name Example: "AMS-I.D." - `inbound.holdings.protocolVersions` (array) Associated protocols and their versions. - `inbound.holdings.resourceInputTypeCodes` (array) A list of resource input types associated with the holding record's issuance. - `inbound.holdings.resourceOutputTypeCodes` (array) A list of resource output types associated with the holding record's issuance. Example: "CARBON_REDUCTION" - `inbound.holdings.subaccountIdentifier` (string) The system-assigned identifier for the subaccount. Example: "5FF7ABAA-095D-11EF-B304-AA080FC10FFA" - `inbound.holdings.subaccountName` (string) Subaccount name, as inputted by subaccount owner. Example: "My Linked Holdings" - `inbound.holdings.subaccountNumber` (string) Subaccount Id displayed on the Optimal Outcomes platform's UI. Example: "10033" - `inbound.holdings.programCertificationGroupCode` (string) The issuing program certification group of the holding record. Example: "NONAFOLU_GHG_MEASUREMENT_PROGRAM" - `inbound.holdings.upn` (string) Xpansiv Connect Universal Project Number (UPN) for Resource associated to the holding's issuance, if assigned. Example: "0999F5B4" - `inbound.holdings.ein` (string) Xpansiv Connect Environmental Instrument Number (EIN), if assigned. Example: "1246AFA3E2" - `inbound.holdings.einDescription` (string) Xpansiv Connect Environmental Instrument Number (EIN) details, if assigned Example: "VCU-20120101-20121231-EDEM-3267-ZMB" - `inbound.holdings.shadowedLedgerName` (string) If shadowing = true, the external ledger's name. Example: "Verra" - `inbound.holdings.managingExternalPlatformName` (string) If the holding is held in an external subaccount, the name of the managing external platform associated with the external subaccount. Example: "Xpansiv Connect" - `inbound.holdings.certificateType` (object) A reference datum data object Example: "GOC" - `inbound.transferTypeCode` (string) The transfer type's system code. Example: "INTRA" - `inbound.certificateTypeCode` (string) The holding's certificate type system code. Example: "GOC" - `inbound.certificateTypeName` (string) The name of the holding's certificate type. Example: "GhG Carbon Offset Credit" - `inbound.canWithdraw` (boolean) Whether or not the API user has authorities required to withdraw the transfer request. Example: true - `inbound.totalPrice` (number) - `inbound.currencyCode` (string) - `inbound.toSubaccountIdentifier` (string) - `inbound.toSubaccountName` (string) - `inbound.toSubaccountNumber` (string) - `outbound` (array) Outbound transfer batches that are visible-to-the-caller; as the transfer initiator, the API user can usually withdraw. ## Response 404 fields